---
updatedAt: 2026-04-07T10:13:12.000Z
agentTools:
  siteIndex: https://developers.liveramp.com/llms.txt
  projectIndex: https://developers.liveramp.com/activation-api/llms.txt
---

# Fetch a list of Integrations within a Destination

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Activation API",
    "description": "An API for destination management and segment delivery",
    "version": "2.9.0"
  },
  "servers": [
    {
      "description": "Production API server",
      "url": "https://api.liveramp.com/activation"
    }
  ],
  "tags": [
    {
      "name": "Explore Destinations",
      "description": "View Destinations and Integrations where you can distribute data"
    }
  ],
  "paths": {
    "/v2/destinations/{v2DestinationId}/integrations": {
      "get": {
        "tags": [
          "Explore Destinations"
        ],
        "operationId": "Get v2/Destination::Integrations",
        "description": "",
        "summary": "Fetch a list of Integrations within a Destination",
        "responses": {
          "200": {
            "description": "Integrations retrieved successfully",
            "headers": {},
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2DestinationIntegrationMultiResponse"
                }
              }
            }
          },
          "404": {
            "description": "Parent resource(s) not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StandardError"
                }
              }
            }
          },
          "422": {
            "description": "Validation Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/StandardError"
                }
              }
            }
          }
        },
        "parameters": [
          {
            "in": "path",
            "name": "v2DestinationId",
            "description": "Id of parent v2/Destination",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "limit",
            "description": "Number of Integrations to return",
            "schema": {
              "type": "integer",
              "format": "int32",
              "default": 10,
              "minimum": 1,
              "maximum": 100
            }
          },
          {
            "in": "query",
            "name": "after",
            "description": "This value is a cursor that enables continued paginated queries. Its value can be found under \"_pagination.after\" in the previous response from this endpoint.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "type",
            "required": false,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/IntegrationType"
                }
              ],
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "view",
            "required": false,
            "schema": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/IntegrationView"
                }
              ],
              "type": "string"
            }
          },
          {
            "description": "Bearer Authorization using the access token generated with your service account",
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "description": "LiveRamp Org ID to make requests as. Starting Jan 2022, this is recommended over the Liveramp Customer ID header",
            "in": "header",
            "name": "LR-Org-ID",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ]
      }
    }
  },
  "components": {
    "schemas": {
      "v2DestinationIntegrationOutput": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string"
          },
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          },
          "type": {
            "allOf": [
              {
                "$ref": "#/components/schemas/IntegrationType"
              }
            ],
            "type": "string"
          },
          "deviceTypes": {
            "items": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/DeviceType"
                }
              ],
              "type": "string"
            },
            "type": "array"
          },
          "requiredProperties": {
            "items": {
              "allOf": [
                {
                  "$ref": "#/components/schemas/IntegrationProperty"
                }
              ],
              "type": "object"
            },
            "type": "array"
          },
          "oAuthEndpointID": {
            "description": "Used when creating an OAuthConnectionAttempt. Only returned if the Integration requires OAuth",
            "type": "string"
          },
          "unavailableReason": {
            "type": "string"
          }
        },
        "required": [
          "id",
          "name",
          "description",
          "type",
          "deviceTypes",
          "requiredProperties"
        ],
        "description": "An outline of the required configuration to send data to a destination"
      },
      "v2DestinationIntegrationMultiResponse": {
        "type": "object",
        "properties": {
          "integrations": {
            "description": "Array of retrieved v2/Destination::Integrations",
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/v2DestinationIntegrationOutput"
            }
          },
          "_pagination": {
            "$ref": "#/components/schemas/v2DestinationIntegrationMultiResponsePagination"
          }
        }
      },
      "IntegrationView": {
        "type": "string",
        "enum": [
          "STANDARD",
          "STANDARD_WITH_UNAVAILABLE"
        ]
      },
      "IntegrationProperty": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string"
          },
          "description": {
            "type": "string"
          }
        },
        "required": [
          "name",
          "description"
        ]
      },
      "DeviceType": {
        "type": "string",
        "enum": [
          "PII",
          "WEB",
          "IOS",
          "ANDROID",
          "CUSTOM_ID",
          "MIXED",
          "OTHER",
          "RAMP_ID"
        ]
      },
      "IntegrationType": {
        "type": "string",
        "enum": [
          "ONBOARDING",
          "FULFILLMENT",
          "DATA_STORE"
        ]
      },
      "StandardError": {
        "type": "object",
        "properties": {
          "httpStatus": {
            "description": "HTTP error status code for this problem",
            "type": "integer",
            "format": "int32"
          },
          "errorCode": {
            "description": "Service specific error code, more granular",
            "type": "string"
          },
          "message": {
            "description": "General, human readable error message",
            "type": "string"
          }
        },
        "required": [
          "httpStatus",
          "errorCode",
          "message"
        ]
      },
      "v2DestinationIntegrationMultiResponsePagination": {
        "type": "object",
        "properties": {
          "after": {
            "type": "string",
            "nullable": true,
            "description": "This field is a cursor to be passed as a query parameter in subsequent, paginated queries.\nIt allows the next request to begin from where the current request left off.\nWhen \"after\" is  null, there are no more records to fetch."
          },
          "total": {
            "type": "integer",
            "nullable": false,
            "description": "The total number of results."
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": false,
    "proxy-enabled": true
  }
}
```